Subject: 421 Service not available, remote server has closed connection

From: [email-masked] (Roland Siebelink)
Date: Thu, 22 Feb 1996 16:49:20 +0100

I have compiled wu-ftpd version 2.4 on my Solaris 2.4 SparcStation
yesterday without any errors. ckconfig gives "ok" on all counts after
installation too, and when I start up ftpd from the command line I get a
normal looking output:

$ ftpd
>220 Avrell FTP server (Version wu-2.4(1) Wed Feb 21 15:40:25 MET 1996) ready.

When I put it into inetd.conf, however, the server gives the following reply:

$ ftp ftp.allmansland.com
Connected to avrell.allmansland.com.
421 Service not available, remote server has closed connection
ftp>

My entry into inetd.conf is as follows (all on one line of course)
ftp    stream  tcp     nowait  root
/opt/SUNWnak/packages/SUNWtcpwA/bin/tcpd /opt/wu-ftpd/etc/ftpd -d -a

As I didn't seem to find this problem in the FAQ, can anybody tell me what
the problem is?

--
Roland Siebelink <[email-masked]>
Allmansland/De Schutter Digital Media nv/sa
Priemstraat 53 Rue du Poincon - B-1000 Brussels 1 - Belgium
Tel +32 2 5481700 - Fax +32 2 5481717 - http://www.allmansland.com/

---

From: Dan Foster <[email-masked]>
Date: Thu, 22 Feb 1996 11:06:07 -0500 (EST)

> 421 Service not available, remote server has closed connection

Did you kill -HUP <inetd pid> ?

-Dan
Internet: [email-masked]